#!/bin/bash
echo "Removing init scripts..."

SYSTEMD="/lib/systemd/system"
UPSTART="/etc/init"
SYSV1="/etc/init.d"
SYSV2="/etc/rc.d/init.d/"
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [ -f "/etc/default/tyk-sink" ]; then
	rm /etc/default/tyk-sink
fi

if [ -f "/lib/systemd/system/tyk-sink.service" ]; then
	echo "Found Systemd"
	echo "Stopping the service"
	systemctl stop tyk-sink.service
	echo "Removing the service"
	rm /lib/systemd/system/tyk-sink.service
	systemctl --system daemon-reload
fi

if [ -f "/etc/init/tyk-sink.conf" ]; then
	echo "Found upstart"
	echo "Stopping the service"
	stop tyk-sink
	echo "Removing the service"
	rm /etc/init/tyk-sink.conf
fi

if [ -f "/etc/init.d/tyk-sink" ]; then
	echo "Found Sysv1"
	/etc/init.d/tyk-sink stop
	rm /etc/init.d/tyk-sink
fi

if [ -f "/etc/rc.d/init.d/tyk-sink" ]; then
	echo "Found Sysv2"
	echo "Stopping the service"
	/etc/rc.d/init.d/tyk-sink stop
	echo "Removing the service"
	rm /etc/rc.d/init.d/tyk-sink
fi
